Subject: bug#6837: Cannot view PNG images

From: Juanma Barranquero <[email-masked]>
Date: Sat, 25 Sep 2010 22:51:07 +0200

On Sat, Sep 25, 2010 at 20:40, Andy Moreton
<[email-masked]> wrote:

> I didn't imply it was a bug, but that some user configuration was required.
>  It would be helpful to add the new DLL name to the list.

Which one?

> Sorry, I did not express myself clearly here. The case I considered was when
> image DLL lookup fails, and emacs no longer bothers looking. It would be
> helpful if emacs tried to locate the image DLL again the next time image
> display is required.

Yes, I understand, but again, if you're for example trying to display
a lot of images, and they are from a type not loaded, *each* function
access will try to load the library (under all known names) and fail.

> This is exactly what I was suggesting. Once you know the versions of the
> headers that emacs was built with, you can then search the web to discover
> if the installed DLL is compatible.

This bug is closed. I suggest you send that as a wishlist bug report,
so it is remembered. Better still if you want to send a patch instead
;-)

    Juanma